summaryrefslogtreecommitdiff
path: root/init.d/dumpon.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-03-25 14:06:05 +0000
committerRoy Marples <roy@marples.name>2008-03-25 14:06:05 +0000
commit55eb3794fb4ad563102d5ab30c1d5337a599b2e5 (patch)
tree0d052faeb050c1e18ba56f6f6189bff3ffca28c9 /init.d/dumpon.in
parent08aff6ef44ac5dc438d916b53aa61385f6d299f3 (diff)
downloadopenrc-55eb3794fb4ad563102d5ab30c1d5337a599b2e5.tar.gz
openrc-55eb3794fb4ad563102d5ab30c1d5337a599b2e5.tar.bz2
openrc-55eb3794fb4ad563102d5ab30c1d5337a599b2e5.tar.xz
Rework our folder structure so that we don't have OS specific dirs, making it easier to share init and conf files per OS.
Diffstat (limited to 'init.d/dumpon.in')
-rw-r--r--init.d/dumpon.in25
1 files changed, 25 insertions, 0 deletions
diff --git a/init.d/dumpon.in b/init.d/dumpon.in
new file mode 100644
index 0000000..f2b6530
--- /dev/null
+++ b/init.d/dumpon.in
@@ -0,0 +1,25 @@
+#!@PREFIX@/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+description="Configures a specific kernel dump device."
+
+depend() {
+ need swap
+ keyword nojail noprefix
+}
+
+start() {
+ # Setup any user requested dump device
+ if [ -n "${dump_device}" ]; then
+ ebegin "Activating kernel core dump device (${dump_device})"
+ dumpon ${dump_device}
+ eend $?
+ fi
+}
+
+stop() {
+ ebegin "Deactiving kernel core dump device"
+ dumpon off
+ eend $?
+}